package javax.sound.midi;

import java.util.Collections;
import java.util.Map;
import java.util.HashMap;

public class MidiFileFormat
{
    public static final int UNKNOWN_LENGTH = -1;
    protected int type;
    protected float divisionType;
    protected int resolution;
    protected int byteLength;
    protected long microsecondLength;
    private HashMap<String, Object> properties;
    
    public MidiFileFormat(int type, float divisionType, int resolution, int byteLength, long microsecondLength) {
        this.type = type;
        this.divisionType = divisionType;
        this.resolution = resolution;
        this.byteLength = byteLength;
        this.microsecondLength = microsecondLength;
        this.properties = null;
    }
    
    public MidiFileFormat(int n, float n2, int n3, int n4, long n5, Map<String, Object> m) {
        this(n, n2, n3, n4, n5);
        this.properties = new HashMap(m);
    }
    
    public int getType() {
        return this.type;
    }
    
    public float getDivisionType() {
        return this.divisionType;
    }
    
    public int getResolution() {
        return this.resolution;
    }
    
    public int getByteLength() {
        return this.byteLength;
    }
    
    public long getMicrosecondLength() {
        return this.microsecondLength;
    }
    
    public Map<String, Object> properties() {
        HashMap<Object, Object> m;
        if (this.properties == null) {
            m = new HashMap(0);
        }
        else {
            m = (Map)(Map)this.properties.clone();
        }
        return Collections.unmodifiableMap(m);
    }
    
    public Object getProperty(String key) {
        if (this.properties == null) {
            return null;
        }
        return this.properties.get(key);
    }
}
